diff --git a/src/test/regress/expected/insert.out b/src/test/regress/expected/insert.out
index dd4354f..5f09654 100644
--- a/src/test/regress/expected/insert.out
+++ b/src/test/regress/expected/insert.out
@@ -287,17 +287,17 @@ insert into part_default_p2 values ('de', 35);
 insert into list_parted values ('ab', 21);
 insert into list_parted values ('xx', 1);
 insert into list_parted values ('yy', 2);
-select tableoid::regclass, * from list_parted;
+select tableoid::regclass, * from list_parted order by 1, 3;
       tableoid      | a  | b  
 --------------------+----+----
  part_cc_dd         | cC |  1
+ part_null          |    |  0
  part_ee_ff1        | ff |  1
  part_ee_ff2        | ff | 11
  part_xx_yy_p1      | xx |  1
  part_xx_yy_defpart | yy |  2
- part_null          |    |  0
- part_default_p1    | cd | 25
  part_default_p1    | ab | 21
+ part_default_p1    | cd | 25
  part_default_p2    | de | 35
 (9 rows)
 
@@ -361,21 +361,21 @@ DETAIL:  Partition key of the failing row contains (b) = (0).
 -- ok
 insert into list_parted values ('EE', 1);
 insert into part_ee_ff values ('EE', 10);
-select tableoid::regclass, * from list_parted;
+select tableoid::regclass, * from list_parted order by 1, 3;
       tableoid      | a  | b  
 --------------------+----+----
  part_aa_bb         | aA |   
  part_cc_dd         | cC |  1
- part_ee_ff1        | ff |  1
+ part_null          |    |  0
+ part_null          |    |  1
  part_ee_ff1        | EE |  1
- part_ee_ff2        | ff | 11
+ part_ee_ff1        | ff |  1
  part_ee_ff2        | EE | 10
+ part_ee_ff2        | ff | 11
  part_xx_yy_p1      | xx |  1
  part_xx_yy_defpart | yy |  2
- part_null          |    |  0
- part_null          |    |  1
- part_default_p1    | cd | 25
  part_default_p1    | ab | 21
+ part_default_p1    | cd | 25
  part_default_p2    | de | 35
 (13 rows)
 
diff --git a/src/test/regress/sql/insert.sql b/src/test/regress/sql/insert.sql
index bdcffd0..bb65135 100644
--- a/src/test/regress/sql/insert.sql
+++ b/src/test/regress/sql/insert.sql
@@ -190,7 +190,7 @@ insert into part_default_p2 values ('de', 35);
 insert into list_parted values ('ab', 21);
 insert into list_parted values ('xx', 1);
 insert into list_parted values ('yy', 2);
-select tableoid::regclass, * from list_parted;
+select tableoid::regclass, * from list_parted order by 1, 3;
 
 -- Check tuple routing for partitioned tables
 
@@ -228,7 +228,7 @@ insert into part_ee_ff values ('EE', 0);
 -- ok
 insert into list_parted values ('EE', 1);
 insert into part_ee_ff values ('EE', 10);
-select tableoid::regclass, * from list_parted;
+select tableoid::regclass, * from list_parted order by 1, 3;
 
 -- some more tests to exercise tuple-routing with multi-level partitioning
 create table part_gg partition of list_parted for values in ('gg') partition by range (b);
